#
# spec file for package python-pyfeyn
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pyfeyn
Version:        1.0.0
Release:        5.6
Summary:        A Python library to help draw Feynman diagrams
License:        GPL-2.0-or-later
Group:          Development/Languages/Python
URL:            http://projects.hepforge.org/pyfeyn/
Source:         https://files.pythonhosted.org/packages/source/p/pyfeyn/pyfeyn-%{version}.tar.gz
BuildRequires:  %{python_module PyX}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PyX
Requires(post): update-alternatives
Requires(postun): update-alternatives
Recommends:     texlive-hepnames
BuildArch:      noarch
%python_subpackages

%description
PyFeyn is a package to programmaticaly draw Feynman diagrams. These
are important constructs in perturbative field theory, so being able
to draw them in a programmatic fashion is important if attempting to
enumerate a large number of diagram configurations is important.
PyFeyn can output into PDF or EPS. Special effects can be obtained by
using constructs from PyX, which PyFeyn is based around.

%prep
%setup -q -n pyfeyn-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/mkfeyndiag
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%post
%python_install_alternative mkfeyndiag

%postun
%python_uninstall_alternative mkfeyndiag

%files %{python_files}
%python_alternative %{_bindir}/mkfeyndiag
%{python_sitelib}/pyfeyn/
%{python_sitelib}/pyfeyn-%{version}-py*.egg-info

%changelog
* Fri Mar 22 2024 Max Lin <mlin@suse.com>
- Add %%{?sle15_python_module_pythons}
* Wed May 20 2020 Petr Gajdos <pgajdos@suse.com>
- %%python3_only -> %%python_alternative
* Thu Jan  9 2020 Todd R <toddrme2178@gmail.com>
- Drop python2 subpackage due to dependencies dropping python2.
* Tue Sep 12 2017 jengelh@inai.de
- Ensure neutrality of description.
* Thu Sep  7 2017 toddrme2178@gmail.com
- Update to version 1.0.0
  * No changelog
- Remove python-pyfeyn-fix-pyx-0.12-usage.patch
  Included upstream
- Implement single-spec version.
* Wed Dec  3 2014 badshah400@gmail.com
- Add python-pyfeyn-fix-pyx-0.12-usage.patch: Fix usage with
  pyx >= 0.12; patch taken from upstream svn.
- Add texlive-hepnames as Recommends to enable the usage of
  particle names as labels.
* Fri Jul 18 2014 badshah400@gmail.com
- Initial build (version 0.3.4).
